Пример #1
0
 public InsertDimension(ISldWorks swApp, Entity entity, Ordinate vertex, SelectData swSelData)
 {
     _swModel = swApp.IActiveDoc2;
     _ent = entity;
     _vertex = vertex;
     _swSelData = swSelData;
 }
Пример #2
0
 public FoundCoordinate(ISldWorks swApp, Entity ent, Ordinate vertex, double[] dimLineH, double[] dimLineV, BlockPosition side,View swView,bool doThroughHoles)
 {
     _swApp = swApp;
     _swModel = swApp.IActiveDoc2;
     _side = side;
     _ent = ent;
     _vertex = vertex;
     _doThroughHoles = doThroughHoles;
     _swSelData = _swModel.ISelectionManager.CreateSelectData();
     _swView = swView;
     _coordinate = FindCoord(dimLineH, dimLineV);
 }
Пример #3
0
 public DisplayDimension GetDisplayDim(DrawingDoc swDrawing, Entity ent, SelectData swSelData)
 {
     ent.Select4(true, swSelData);
     return (DisplayDimension)swDrawing.AddHoleCallout2(0, 0, 0);
 }
 public bool Select(bool Append, SelectData Data)
 {
     return _Manipulator.Select(Append, Data);
 }